Name:           perl-YAML-LibYAML
Epoch:          1
Version:        0.83
Release:        1
Summary:        Perl YAML Serialization using XS and libyaml
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/YAML-LibYAML
Source0:        https://cpan.metacpan.org/modules/by-module/YAML/YAML-LibYAML-%{version}.tar.gz

BuildRequires:  coreutils findutils perl-devel perl-generators perl-interpreter perl(Config)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(B::Deparse) perl(base) perl(constant)
BuildRequires:  perl(Exporter) perl(Scalar::Util) perl(strict) perl(warnings) perl(XSLoader)
BuildRequires:  perl(B) perl(blib) perl(Carp) perl(Data::Dumper) perl(Devel::Peek) perl(Encode)
BuildRequires:  perl(File::Find) perl(File::Path) perl(Filter::Util::Call) perl(FindBin)
BuildRequires:  perl(IO::File) perl(IO::Pipe) perl(lib) perl(Test::Builder) perl(Test::More) >= 0.88
BuildRequires:  perl(Tie::Array) perl(Tie::Hash) perl(utf8) gcc
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(B::Deparse)
Provides:       bundled(libyaml) = 0.2.1

%{?perl_default_filter}

%description
This module is a Perl XS binding to libyaml which offers Perl the best YAML
support to date.

This module exports the functions Dump, Load, DumpFile and LoadFile. These
functions are intended to work exactly like YAML.pm's corresponding functions.
Only Load and Dump are exported by default.

%package help
Summary:        Help package for perl-YAML-LibYAML

%description help
This package contains man files for perl-YAML-LibYAML.

%prep
%autosetup -n YAML-LibYAML-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name '*.bs' -empty -exec rm {} \;
%{_fixperms} -c %{buildroot}

%check
%make_build test

%files
%doc Changes CONTRIBUTING README LICENSE
%{perl_vendorarch}/auto/YAML/
%{perl_vendorarch}/YAML/

%files help
%{_mandir}/man3/YAML::*

%changelog
* Tue Jun 14 2022 SimpleUpdate Robot <tc@openeuler.org> - 1:0.83-1
- Upgrade to version 0.83

* Tue Jun 22 2021 shixuantong <shixuantong@huawei.com> - 1:0.82-2
- add gcc to BuildRequires

* Fri Jan 29 2021 liudabo <liudabo1@huawei.com> - 1:0.82-1
- upgrade version to 0.82

* Tue Feb 18 2020 lingsheng <lingsheng@huawei.com> - 1:0.74-2
- Package init
